aboutsummaryrefslogtreecommitdiff
path: root/net/misc/icecast
diff options
context:
space:
mode:
Diffstat (limited to 'net/misc/icecast')
-rwxr-xr-xnet/misc/icecast/icecast.SlackBuild75
-rwxr-xr-xnet/misc/icecast/ices.SlackBuild104
-rw-r--r--net/misc/icecast/ices.slack-desc19
-rw-r--r--net/misc/icecast/slack-desc (renamed from net/misc/icecast/icecast.slack-desc)0
-rw-r--r--net/misc/icecast/slack-required5
5 files changed, 33 insertions, 170 deletions
diff --git a/net/misc/icecast/icecast.SlackBuild b/net/misc/icecast/icecast.SlackBuild
index 2bee5cf1..9a74b91b 100755
--- a/net/misc/icecast/icecast.SlackBuild
+++ b/net/misc/icecast/icecast.SlackBuild
@@ -37,23 +37,16 @@
# ---------------------------------------------------------------------------
#
-cat << EOCAT
-Recomended and required packages for building icecast are:
-
- libtheora
- libogg
- libxml2
- speex
- curl
-
-EOCAT
-
-if [ "$INTERACT" != "no" ]; then
- echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
- read crap
-else
- echo sleeping 3 seconds...
- sleep 3
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building icecast are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
fi
# Set initial variables:
@@ -75,13 +68,11 @@ TMP=${TMP:=/tmp}
SRC_DIR=${SRC:=$CWD}
REPOS=${REPOS:=$TMP}
-if [ -f "/etc/slackbuildrc" ]; then
- source /etc/slackbuildrc
-fi
-
-if [ -f "/root/.slackbuildrc" ]; then
- source /root/.slackbuildrc
-fi
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
if [ "$ARCH" == "x86_64" ]; then
LIBDIR=/usr/lib64
@@ -99,17 +90,8 @@ else
URL="http://downloads.xiph.org/releases/$PACKAGE/$SRC"
fi
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
TMP="$TMP/$PACKAGE"
@@ -173,29 +155,28 @@ rm -rf $PKG/*
# Explode the package framework:
cd $PKG
if [ -f $CWD/_$PRGNAM.tar.gz ]; then
- explodepkg $CWD/_$PRGNAM.tar.gz
+ explodepkg $CWD/_$PRGNAM.tar.gz || exit $ERROR_TAR
fi
cd $TMP/tmp-$PRGNAM
# Extract tar ball in TEMP dir
echo Building $PRGNAM...
-tar xvf$tarflag $SRC_DIR/$PRGNAM-$VERSION.tar.gz
+tar xvf $SRC_DIR/$PRGNAM-$VERSION.tar.gz || exit $ERROR_TAR
cd $PRGNAM-$VERSION
./configure --prefix=/usr --sysconfdir=/usr/share/icecast/etc \
- --libdir=$LIBDIR --localstatedir=/var \
- 2>&1 | tee $TMP/configure-${PRGNAM}.log
+ --libdir=$LIBDIR --localstatedir=/var || exit $ERROR_CONF
-make 2>&1 | tee $TMP/make-${PRGNAM}.log
+make || exit $ERROR_MAKE
# Install all the needed stuff to the package dir
# Use installwatch if available:
-which installwatch > /dev/null 2>&1
-if [ $? == 0 ]; then
- installwatch -o $TMP/install-${PRGNAM}.log make DESTDIR=$PKG install
-else
- make DESTDIR=$PKG install 2>&1 |tee $TMP/install-${PRGNAM}.log
-fi
+# which installwatch > /dev/null 2>&1
+# if [ $? == 0 ]; then
+# installwatch -o $TMP/install-${PRGNAM}.log make DESTDIR=$PKG install
+# else
+make DESTDIR=$PKG install || exit $ERROR_INSTALL
+# fi
mkdir -p $PKG/var/log/icecast
(cd $PKG/usr/share/icecast/etc && patch -p0 < $CWD/icecast_conf.patch)
@@ -289,7 +270,7 @@ find $PKG -type f -name "*~" -exec rm -f {} \;
# --- PACKAGE DESCRIPTION ---
mkdir -p $PKG/install
-cat $CWD/icecast.slack-desc > $PKG/install/slack-desc
+cat $CWD/slack-desc > $PKG/install/slack-desc
# --- BUILDING ---
@@ -302,7 +283,7 @@ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs st
VERSION="`echo $VERSION | sed -e 's/-/_/g'`"
-makepkg --linkadd y --chown n $REPOS/$PRGNAM-$VERSION-$ARCH-$BUILD.tgz
+makepkg --linkadd y --chown n $REPOS/$PRGNAM-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
#(cd $REPOS && md5sum $PRGNAM-$VERSION-$ARCH-$BUILD.tgz > $PRGNAM-$VERSION-$ARCH-$BUILD.tgz.md5)
#cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $REPOS/$PRGNAM-$VERSION-$ARCH-$BUILD.txt
diff --git a/net/misc/icecast/ices.SlackBuild b/net/misc/icecast/ices.SlackBuild
deleted file mode 100755
index a6d6bf7d..00000000
--- a/net/misc/icecast/ices.SlackBuild
+++ /dev/null
@@ -1,104 +0,0 @@
-#!/bin/bash
-#
-# slackbuild for ices by rhatto
-# based on http://www.slackware.com/~alien/slackbuilds/icecast/build/ices.SlackBuild
-#
-
-CWD=`pwd`
-
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-# default settings
-PACKAGE="ices"
-ARCH=${ARCH:=i486}
-VERSION=${VERSION:=2.0.1}
-BUILD=${BUILD:=1rha}
-SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-PRGNAM="$PACKAGE"
-RTOOL="wget"
-PACKAGE_EXT="bz2"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://downloads.us.xiph.org/releases/$PACKAGE/$SRC"
-
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
-fi
-
-TMP="$TMP/$PACKAGE"
-PKG=$TMP/package-$PACKAGE
-rm -rf $TMP
-mkdir -p $PKG
-cd $TMP
-
-tar xvpf$tarflag $SRC_DIR/$SRC
-cd $PRGNAM-$VERSION
-
-./configure --prefix=/usr --localstatedir=/var \
- --sysconfdir=/usr/share/icecast/etc \
- --libdir=$LIBDIR
-
-make || exit 32
-
-# Install all the needed stuff to the package dir
-# Use installwatch if available:
-which installwatch > /dev/null 2>&1
-if [ $? == 0 ]; then
- installwatch -o $TMP/install-${PRGNAM}.log make DESTDIR=$PKG install
-else
- make DESTDIR=$PKG install 2>&1 | tee $TMP/install-${PRGNAM}.log
-fi
-
-# Copy the documentation
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -R {AUTHORS,COPYING,README,TODO,doc} $PKG/usr/doc/$PRGNAM-$VERSION
-chmod -R -w $PKG/usr/doc/$PRGNAM-$VERSION
-
-# --- PACKAGE DESCRIPTION ---
-mkdir -p $PKG/install
-cat $CWD/ices.slack-desc > $PKG/install/slack-desc
-
-# --- BUILDING ---
-
-# Build the package and compute its md5 checksum:
-cd $PKG
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-makepkg --linkadd y --chown y $REPOS/$PRGNAM-$VERSION-$ARCH-$BUILD.tgz
-
-#(cd $REPOS && md5sum $PRGNAM-$VERSION-$ARCH-$BUILD.tgz > $REPOS-$VERSION-$ARCH-$BUILD.tgz.md5)
-#cat $CWD/${PRGNAM}.slack-desc | grep "^${PRGNAM}" > $REPOS/$PRGNAM-$VERSION-$ARCH-$BUILD.txt
-
-# --- CLEANUP ---
-
-# Clean up the extra stuff:
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-
-#
-# EOF
-#
diff --git a/net/misc/icecast/ices.slack-desc b/net/misc/icecast/ices.slack-desc
deleted file mode 100644
index 13976259..00000000
--- a/net/misc/icecast/ices.slack-desc
+++ /dev/null
@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler------------------------------------------------------|
-ices: ices (mp3 source client for the icecast streaming media server)
-ices:
-ices:
-ices:
-ices:
-ices:
-ices:
-ices:
-ices:
-ices: IceS homepage: http://www.icecast.org
-ices:
diff --git a/net/misc/icecast/icecast.slack-desc b/net/misc/icecast/slack-desc
index ca8fa92c..ca8fa92c 100644
--- a/net/misc/icecast/icecast.slack-desc
+++ b/net/misc/icecast/slack-desc
diff --git a/net/misc/icecast/slack-required b/net/misc/icecast/slack-required
new file mode 100644
index 00000000..5c48cd1a
--- /dev/null
+++ b/net/misc/icecast/slack-required
@@ -0,0 +1,5 @@
+libtheora
+libogg
+libxml2
+speex
+curl